Package in.cdac.medinfo.csnotk.csnolib.disb.model

## Class GenericDescription

- java.lang.Object
- - in.cdac.medinfo.csnotk.csnolib.disb.model.GenericDescription

- All Implemented Interfaces:
    `java.io.Serializable`

      public class GenericDescription
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GenericDescription()` |
    `GenericDescription​(java.lang.String genericName, java.lang.String langDialect, java.lang.String acceptability, java.lang.String id)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getAcceptability()` |
    `GenericDrug` | `getGenericDrug()` |
    `java.lang.String` | `getGenericName()` |
    `java.lang.String` | `getId()` |
    `java.lang.String` | `getLangDialect()` |
    `void` | `setAcceptability​(java.lang.String acceptability)` |
    `void` | `setGenericDrug​(GenericDrug genericDrug)` |
    `void` | `setGenericName​(java.lang.String genericName)` |
    `void` | `setId​(java.lang.String id)` |
    `void` | `setLangDialect​(java.lang.String langDialect)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GenericDescription

          public GenericDescription​(java.lang.String genericName,
                                    java.lang.String langDialect,
                                    java.lang.String acceptability,
                                    java.lang.String id)

    - #### GenericDescription

          public GenericDescription()

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

    - #### setId

          public void setId​(java.lang.String id)

    - #### getGenericName

          public java.lang.String getGenericName()

    - #### setGenericName

          public void setGenericName​(java.lang.String genericName)

    - #### getGenericDrug

          public GenericDrug getGenericDrug()

    - #### setGenericDrug

          public void setGenericDrug​(GenericDrug genericDrug)

    - #### getLangDialect

          public java.lang.String getLangDialect()

    - #### setLangDialect

          public void setLangDialect​(java.lang.String langDialect)

    - #### getAcceptability

          public java.lang.String getAcceptability()

    - #### setAcceptability

          public void setAcceptability​(java.lang.String acceptability)